<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="pythoncp" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <info>
    <pubdate>$LastChangedDate: 19-8月-2010 $</pubdate>
  </info>

  <refnamediv>
    <refname>pythoncp</refname><refpurpose>Append the path to the python system classpath</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   syspath= pythoncp()
   pythoncp(classpath)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>syspath:</term>
      <listitem><para> the python system classpath</para></listitem></varlistentry>
   <varlistentry><term>classpath:</term>
      <listitem><para> the user defined path, which is to be added to the python system classpath</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Append the path to the python system classpath. This is equivalent to the Python expression: sys.path.append(classpath).
If no args, it would get the python system classpath, which is equivalent to: sys.path.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
pythoncp("/home/foo/mypath")
path = pythoncp()

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Baozeng Ding</member>
   </simplelist>
</refsection>
</refentry>
